<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [EventEmitter](./puppeteer.eventemitter.md) &gt; [removeAllListeners](./puppeteer.eventemitter.removealllisteners.md)

## EventEmitter.removeAllListeners() method

Removes all listeners. If given an event argument, it will remove only listeners for that event.

<b>Signature:</b>

```typescript
removeAllListeners(event?: EventType): EventEmitter;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  event | EventType | the event to remove listeners for. |

<b>Returns:</b>

[EventEmitter](./puppeteer.eventemitter.md)

`this` to enable you to chain calls.

